Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class ProjectDependency

- org.gradle.plugins.ide.eclipse.model.ProjectDependency

- A classpath entry representing a project dependency.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, accessRules, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProjectDependency (groovy.util.Node node)`
    `ProjectDependency (String path, String gradlePath)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDeclaredConfigurationName()`
    `String` | `getGradlePath()`
    `String` | `getKind()`
    `void` | `setDeclaredConfigurationName(String declaredConfigurationName)`
    `void` | `setGradlePath(String gradlePath)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, toString, writeEntryAttributes`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public ProjectDependency(groovy.util.Node node)

    - #### public ProjectDependency(String path, String gradlePath)

  - ### Method Detail

    - #### @Deprecated public String getDeclaredConfigurationName()

    - #### public String getGradlePath()

    - #### @Override public String getKind()

    - #### public void setDeclaredConfigurationName(String declaredConfigurationName)

    - #### public void setGradlePath(String gradlePath)

    - #### @Override public String toString()